Summary:     NSS library for LDAP
Name:        nss_ldap
Version:     226
Release:     2.pp
License:     LGPL
Group:       System Environment/Base
Source0:     ftp://ftp.padl.com/pub/%{name}-%{version}.tar.gz
Source1:     ftp://ftp.padl.com/pub/MigrationTools-46.tar.gz
URL:         http://www.padl.com/OSS/%{name}.html
Buildroot:   /var/tmp/%{name}-root
Vendor:      PADL Software
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc perl openssl db3
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openldap-devel cyrus-sasl-devel krb5-devel
BuildPrereq: openssl-devel db3-devel perl
ExclusiveOS: linux


%description
Nss_ldap is a set of C library extensions which allows X.500
and LDAP directory servers to be used as a primary source of
aliases, ethers, groups, hosts, networks, protocol, users,
RPCs, services and shadow passwords (instead of or in addition
to using flat files or NIS).


%prep
%setup -q -a 1
# MigrationTools
mkdir migration
cp -f MigrationTools-*/README migration
cp -f MigrationTools-*/migrate* migration
chmod a+x migration/*.{ph,pl,sh}


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr            \
	--libdir=/lib            \
	--sysconfdir=/etc        \
	--localstatedir=/var     \
	--mandir=/usr/share/man  \
	--enable-rfc2307bis      \
	--enable-schema-mapping  \
	--enable-paged-results   \
	--with-ldap-lib=openldap \
	--with-gssapi-dir=/usr/kerberos
# link statically
perl -pi -e "s,-lldap,-ldb-3.3 -lssl -lcrypto /usr/lib/libldap.a /usr/lib/liblber.a,g; \
             s,-llber,/usr/lib/libsasl.a /usr/kerberos/lib/libcom_err.a,g; \
             s,-lgssapi_krb5,/usr/kerberos/lib/libgssapi_krb5.a /usr/kerberos/lib/libkrb5.a /usr/kerberos/lib/libk5crypto.a,g;" \
	Makefile
# Build
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
make DESTDIR=$RPM_BUILD_ROOT install
mv -f $RPM_BUILD_ROOT/usr/lib/libnss_ldap.so.2 \
      $RPM_BUILD_ROOT/usr/lib/libnss_ldap.so
rm -f $RPM_BUILD_ROOT/etc/nsswitch.ldap


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING CVS* ChangeLog INSTALL NEWS
%doc README doc/README.SFU doc/README.paged doc/rfc2307.txt
%doc ldap.conf nsswitch.ldap
%doc %dir migration
%config(noreplace) /etc/ldap.conf
/lib/*
/usr/lib/*


%changelog
* Sun Nov 28 2004 peter.pramberger@member.fsf.org
- created

